import * as Generator from './seed-data.generator';
export type WithSeedData<Context> = Generator.WithSeedData<Context>;
export type ModelWithSeedData = Generator.ModelContextResult;
export declare const seedDataGenerator: import("@postxl/generator").GeneratorInterface;
export declare const seedDataGeneratorId: string & import("zod").$brand<"PXL.GeneratorInterfaceId">;
